Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.gems.util
Class ConstructableProperties

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<Object,Object>
              java.util.Properties
                  org.picocontainer.gems.util.ConstructableProperties

All Implemented Interfaces:
  Serializable, Cloneable, Map<Object,Object>

    public class ConstructableProperties

extends Properties

constructable properties.

Author:
  Konstantin Pribluda
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`ConstructableProperties(InputStream stream)` create properties from input stream
`ConstructableProperties(InputStream stream, Properties defaults)` create from inpiut stream with default properties
`ConstructableProperties(String resource)` create properties from classpath resource using context classloader
`ConstructableProperties(String resource, Properties defaults)`

Method Summary

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstructableProperties

    public ConstructableProperties(String resource)
                            throws IOException

  create properties from classpath resource using context classloader

  Parameters:
    `resource` - resource name
  Throws:
    `IOException` - passed from Properties.load()

### ConstructableProperties

    public ConstructableProperties(String resource,
                                   Properties defaults)
                            throws IOException

Parameters:
  `resource` - resource name
  `defaults` - default properties
Throws:
  `IOException` - can be thrown if something goes wrong

### ConstructableProperties

    public ConstructableProperties(InputStream stream)
                            throws IOException

  create properties from input stream

  Parameters:
    `stream` - to read from
  Throws:
    `IOException` - can be thrown by properties objkect

### ConstructableProperties

    public ConstructableProperties(InputStream stream,
                                   Properties defaults)
                            throws IOException

  create from inpiut stream with default properties

  Parameters:
    `stream` - to read from
    `defaults` - default properties
  Throws:
    `IOException` - can be thrown by properties object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.